Please check the status of this specification in Launchpad before editing it. If it is Approved, contact the Assignee or another knowledgeable person before making changes.

Summary

The Maemo packages were created for an older Debian base, and have various problems due to being out of date. They use some obsolete interfaces, and are not compliant with current policy.

Rationale

These problems should be fixed in order to make the packages more maintainable, and bring them into line with expectations for quality and consistency in Ubuntu.

Use Cases

Implementation

The following issues have been noted during test builds:

version=`ls src/.libs/lib*.so.* | \
awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`)

Packages being cleaned up should be listed in the MaemoPackaging/TODO page as such.


CategorySpec

MobileAndEmbedded/MaemoPackagingCleanup (last edited 2008-08-06 17:01:43 by localhost)